<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.finance.OrderInvoiceRecordMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.finance.OrderInvoiceRecordEntity" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap">
            <id column="id" property="id" />
            <result column="invoicing_date" property="invoicingDate" />
            <result column="invoice_amount" property="invoiceAmount" />
            <result column="customer_id" property="customerId" />
            <result column="order_id" property="orderId" />
            <result column="invoicing_type" property="invoicingType" />
            <result column="currency_unit_id" property="currencyUnitId" />
            <result column="invoice_code" property="invoiceCode" />
            <result column="data_code" property="dataCode" />
            <result column="invoice_content" property="invoiceContent" />
            <result column="remark" property="remark" />
            <result column="handle_user_id" property="handleUserId" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                owner_by,
                update_by,
                sort,
            id, invoicing_date, invoice_amount, customer_id, order_id, invoicing_type, currency_unit_id, invoice_code,data_code, invoice_content, remark, handle_user_id
        </sql>

</mapper>
